# -*-makefile-*-
#
# Copyright (C) 2012 by Markus Niebel <Markus.Niebel@tqs.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_IMX_BOOTLETS_SRC) += imx-bootlets-src

#
# Paths and names
#
IMX_BOOTLETS_SRC_VERSION:=10.12.01
IMX_BOOTLETS_SRC_MD5		:= cf0ab3822dca694b930a051501c1d0e4
IMX_BOOTLETS_SRC		:= imx-bootlets-src-$(IMX_BOOTLETS_SRC_VERSION)
IMX_BOOTLETS_SRC_SUFFIX		:= tar.gz
IMX_BOOTLETS_SRC_URL		:= file://$(PTXDIST_WORKSPACE)/local_src/$(IMX_BOOTLETS_SRC).$(IMX_BOOTLETS_SRC_SUFFIX)
IMX_BOOTLETS_SRC_DIR	    	:= $(BUILDDIR)/$(IMX_BOOTLETS_SRC)
IMX_BOOTLETS_SRC_LICENSE	:= unknown

ifdef PTXCONF_IMX_BOOTLETS_SRC_MX28

IMX_BOOTLETS_SRC_ARCH := imx28
IMX_BOOTLETS_SRC_BOARD := iMX28_EVK

endif

ifdef PTXCONF_IMX_BOOTLETS_SRC_MX23

IMX_BOOTLETS_SRC_ARCH := imx23
IMX_BOOTLETS_SRC_BOARD := iMX23_EVK

endif

IMX_BOOTLETS_SRC_UBOOT_IVT_SB = $(IMX_BOOTLETS_SRC_ARCH)_ivt_uboot.sb
IMX_BOOTLETS_SRC_UBOOT_SB = $(IMX_BOOTLETS_SRC_ARCH)_uboot.sb

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

$(IMX_BOOTLETS_SRC_SOURCE):
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#
# simple makefile
#
IMX_BOOTLETS_SRC_CONF_TOOL	:= NO

$(STATEDIR)/imx-bootlets-src.prepare: $(STATEDIR)/kernel.targetinstall.post $(STATEDIR)/u-boot.targetinstall.post $(STATEDIR)/host-mxs-utils.install.post
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

IMX_BOOTLETS_SRC_PATH	:= PATH=$(CROSS_PATH)
IMX_BOOTLETS_SRC_MAKE_OPT	:= CROSS_COMPILE=$(BOOTLOADER_CROSS_COMPILE) \
				HOSTCC=$(HOSTCC) \
				BOARD=$(IMX_BOOTLETS_SRC_BOARD) \
				DFT_UBOOT=$(IMAGEDIR)/u-boot.elf \
				DFT_IMAGE=$(IMAGEDIR)/linuximage \
				DEV_IMAGE=$(ROOTDIR) \
				$(IMX_BOOTLETS_SRC_UBOOT_IVT_SB) \
				$(IMX_BOOTLETS_SRC_UBOOT_SB)


IMX_BOOTLETS_SRC_MAKE_PAR	:= NO


#$(STATEDIR)/imx-bootlets-src.compile:
#	@$(call targetinfo)
#	@$(call world/compile, IMX_BOOTLETS_SRC)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/imx-bootlets-src.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/imx-bootlets-src.targetinstall:
	@$(call targetinfo)

	@install -D -m644 $(IMX_BOOTLETS_SRC_DIR)/$(IMX_BOOTLETS_SRC_UBOOT_IVT_SB) $(IMAGEDIR)
	@install -D -m644 $(IMX_BOOTLETS_SRC_DIR)/$(IMX_BOOTLETS_SRC_UBOOT_SB) $(IMAGEDIR)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/imx-bootlets-src.clean:
	@$(call targetinfo)
	@$(call clean_pkg, IMX_BOOTLETS_SRC)
	@rm -f $(IMAGEDIR)/$(IMX_BOOTLETS_SRC_UBOOT_IVT_SB)
	@rm -f $(IMAGEDIR)/$(IMX_BOOTLETS_SRC_UBOOT_SB)

# vim: syntax=make
