# -*-makefile-*-
#
# Copyright (C) 2007 by Sascha Hauer
#               2009, 2010 by Marc Kleine-Budde <mkl@pengutronix.de>
#               20013 by Markus Niebel <markus.niebel@tqs.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_U_BOOT_AB) += u-boot-ab

#
# Paths and names
#
U_BOOT_AB_VERSION	:= $(call remove_quotes,$(PTXCONF_U_BOOT_AB_VERSION))
U_BOOT_AB_MD5		:= $(call remove_quotes,$(PTXCONF_U_BOOT_AB_MD5))
U_BOOT_AB		:= u-boot-$(U_BOOT_AB_VERSION)
U_BOOT_AB_SUFFIX	:= tar.bz2
U_BOOT_AB_URL		:= http://ftp.denx.de/pub/u-boot/$(U_BOOT_AB).$(U_BOOT_SUFFIX)
U_BOOT_AB_SOURCE	:= $(SRCDIR)/$(U_BOOT_AB).$(U_BOOT_AB_SUFFIX)
U_BOOT_AB_DIR		:= $(BUILDDIR)/$(U_BOOT_AB)-AB

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

U_BOOT_AB_PATH		:= PATH=$(CROSS_PATH)
U_BOOT_AB_MAKE_OPT	:= CROSS_COMPILE=$(BOOTLOADER_CROSS_COMPILE) HOSTCC=$(HOSTCC)
U_BOOT_AB_MAKE_PAR	:= NO
U_BOOT_AB_TAGS_OPT	:= ctags cscope etags

$(STATEDIR)/u-boot-ab.prepare:
	@$(call targetinfo)
	cd $(U_BOOT_AB_DIR) && \
		$(U_BOOT_AB_PATH) \
		$(MAKE) $(U_BOOT_AB_MAKE_OPT) $(PTXCONF_U_BOOT_AB_CONFIG)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/u-boot-ab.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/u-boot-ab.targetinstall:
	@$(call targetinfo)
	@install -D -m644 $(U_BOOT_AB_DIR)/u-boot.bin $(IMAGEDIR)/u-boot-AB.bin
ifdef PTXCONF_U_BOOT_AB_INSTALL_SREC
	@install -D -m644 $(U_BOOT_AB_DIR)/u-boot.srec $(IMAGEDIR)/u-boot-AB.srec
endif
ifdef PTXCONF_U_BOOT_INSTALL_ELF
	@install -D -m644 $(U_BOOT_AB_DIR)/u-boot $(IMAGEDIR)/u-boot-AB.elf
endif
ifdef PTXCONF_U_BOOT_INSTALL_U_BOOT_IMG
	@install -D -m644 $(U_BOOT_AB_DIR)/u-boot.img $(IMAGEDIR)/u-boot-AB.img
endif
#ifdef PTXCONF_U_BOOT_INSTALL_U_BOOT_IMX
#	@install -D -m644 $(U_BOOT_AB_DIR)/u-boot.imx $(IMAGEDIR)/u-boot-AB.imx
#endif
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/u-boot-ab.clean:
	@$(call targetinfo)
	@$(call clean_pkg, U_BOOT)
	@rm -f $(IMAGEDIR)/u-boot-AB.bin $(IMAGEDIR)/u-boot-AB.srec $(IMAGEDIR)/u-boot-AB.elf
#	@rm -f $(IMAGEDIR)/u-boot.imx

# vim: syntax=make
