# -*-makefile-*-
#
# Copyright (C) 2012 by Andreas Dumberger
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_REGMON) += regmon

#
# Paths and names
#
REGMON_VERSION	:= 2012.12
REGMON_MD5		:=
REGMON		:= regmon
REGMON_URL		:= file://local_src/$(REGMON)
REGMON_DIR		:= $(BUILDDIR)/$(REGMON)
REGMON_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/regmon.extract:
#	@$(call targetinfo)
#	@$(call clean, $(REGMON_DIR))
#	@$(call extract, REGMON)
#	@$(call patchin, REGMON)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#REGMON_PATH	:= PATH=$(CROSS_PATH)
REGMON_CONF_TOOL	:= NO
REGMON_MAKE_ENV	:= $(CROSS_ENV)

#$(STATEDIR)/regmon.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, REGMON)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

REGMON_MAKE_OPT	:= CROSS_COMPILE=$(PTXCONF_COMPILER_PREFIX) \
			all

#$(STATEDIR)/regmon.compile:
#	@$(call targetinfo)
#	@$(call world/compile, REGMON)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------
REGMON_INSTALL_OPT	:= INSTALLDIR=$(PTXDIST_SYSROOT_TARGET)/usr/bin \
			install

#$(STATEDIR)/regmon.install:
#	@$(call targetinfo)
#	@$(call world/install, REGMON)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/regmon.targetinstall:
	@$(call targetinfo)

	@$(call install_init, regmon)
	@$(call install_fixup, regmon,PRIORITY,optional)
	@$(call install_fixup, regmon,SECTION,base)
	@$(call install_fixup, regmon,AUTHOR,"Andreas Dumberger")
	@$(call install_fixup, regmon,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_copy, regmon, 0, 0, 0755, $(REGMON_DIR)/regmon, /usr/bin/regmon)

	@$(call install_finish, regmon)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/regmon.clean:
	@$(call targetinfo)
	@-cd $(REGMON_DIR) && \
		$(REGMON_ENV) $(REGMON_PATH) $(MAKE) clean
	@$(call clean_pkg, REGMON)

# vim: syntax=make
